# type

Specifies the type of input control.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
4.0+ |  | 1.0+ | 7.0+ | 1.0+

## Values

button | Generic button.
checkbox | Checkbox control. Allows user to select multiple choices.
file | Allows user to browse to and upload a file.
hidden | Form control that is not visible to the user. Used to store state information.
image | Image form control. May be used like a button.
password | Password input field. Hides keystrokes with *'s.
radio | Radio control button. Allows user to select a single option.
reset | Reset button.
submit | Submit button.
text | Single line text field.

## Availability

W3C HTML 4.01

## Related

- a
- button
- embed
- input
- li
- link
- object
- ol
- param
- script
- style
- ul

text_html aptana_docs